%define curses_include_dir  /usr/include/ncursesw

Summary: CONE mail reader
Name: cone
Version: 0.60
Release: 2
URL: http://www.courier-mta.org/cone/
Source0: http://dl.sf.net/sourceforge/courier/%{name}-%{version}.tar.bz2
Patch: cone-0.60-gcc34.patch
License: GPL
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: aspell-devel libxml2-devel
BuildRequires: zlib-devel openssl-devel fam-devel perl
BuildRequires: libstdc++-devel gcc-c++
BuildRequires: openssl-perl
BuildRequires: ncurses-devel >= 0:5.3

Requires(post): %{__perl}

%description
CONE is a simple, text-based E-mail reader and writer.

%package devel
Group: Development/Libraries
Summary: LibMAIL mail client development library.
Requires: %{name} = 0:%{version}-%{release}

%description devel
The %{name}-devel package the header files and library files for developing
application using LibMAIL - a high level, C++ OO library for mail clients.

%package doc
Group: Documentation
Summary: Documentation for the CONE email client

%description doc
CONE is a simple, text-based E-mail reader and writer.  This package
contains a large amount of documentation for CONE.

%prep
%setup -q
%patch -p1 -b .gcc34

%build
CPPFLAGS="$CPPFLAGS -I%{curses_include_dir}"
export CPPFLAGS

CFLAGS="$RPM_OPT_FLAGS" %configure --with-devel
%{__make} %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
%{__install} sysconftool $RPM_BUILD_ROOT%{_datadir}/cone/cone.sysconftool
touch $RPM_BUILD_ROOT%{_sysconfdir}/cone

# Remove dupe copies of doc/html from the install tree.
( cd cone/html && \
    find . -type f -exec rm -f $RPM_BUILD_ROOT%{_datadir}/cone/{} \; )

%preun
if [ "$1" = 0 ]; then
    mv %{_sysconfdir}/cone %{_sysconfdir}/cone.rpmsave
fi

%pre
if [ "$1" = 1 -a -f %{_sysconfdir}/cone.rpmsave -a ! -f %{_sysconfdir}/cone ]
then
    mv %{_sysconfdir}/cone.rpmsave %{_sysconfdir}/cone
fi

%post
%{__perl} %{_datadir}/cone/cone.sysconftool %{_sysconfdir}/cone.dist > /dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(644,root,root) %{_sysconfdir}/cone.dist
%ghost %verify(user group mode) %attr(644,root,root) %{_sysconfdir}/cone
%{_bindir}/*
%{_libexecdir}/cone
%{_datadir}/cone
%{_mandir}/man1/*
%doc ABOUT-NLS ChangeLog README NEWS AUTHORS COPYING COPYING.GPL

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_mandir}/man[35]/*
%{_includedir}/libmail

%files doc
%defattr(-,root,root)
%doc cone/html

%changelog
* Fri Nov 12 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.60-2
- Fix addressbookget.C for GCC 3.4.

* Thu Jul 15 2004 Steven Pritchard <steve@kspei.com> 0:0.60-0.fdr.1
- Update to 0.60
- Re-enable sysconftool
- Eliminate duplicate html documentation
- Other minor changes from upstream spec
- Add explicit Epoch to make rpmlint happier
- Split html documentation into separate -doc subpackage

* Wed Apr 14 2004 Steven Pritchard <steve@kspei.com> 0.58-0.fdr.1
- Remove html docs from %doc.  They're all in /usr/share/cone already.

* Tue Apr 13 2004 Steven Pritchard <steve@kspei.com> 0.58-0.fdr.0
- Update to 0.58
- More spec cleanup (s/BuildPreReq/BuildRequires/, -devel Requires
  version-release, generate the config file in install instead of
  post).  Suggestions from Warren Togami.
- Enable SMP builds
- Use RPM_OPT_FLAGS

* Tue Apr 06 2004 Steven Pritchard <steve@kspei.com> 0.57.20040327-0.fdr.1
- Spec cleanup

* Sun Apr 04 2004 Steven Pritchard <steve@kspei.com> 0.57.20040327-0.fdr.0
- Recompile for FC1 using the spec included with the source

* Mon Sep  1 2003 Mr. Sam <sam@email-scan.com>
- Fix for Red Hat 9+

* Sat Jul 26 2003 Mr. Sam 0.52
- Use wide-char compatible ncurses in current RH Beta.

* Wed Mar  5 2003 Mr. Sam <mrsam@courier-mta.com>
- Initial build.
